<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<HTML>

<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  {
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
<%	}
	String persona = (String) session.getAttribute("persona");
	String origen = request.getParameter("Origen")==null?"":request.getParameter("Origen");
%>
	<%@ include file="/m05bIdioma.inc"%>
<head>
	<title><%= resTit.getString("titRelTalleres")%></title>
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
	<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
</head>
<BODY style="cursor: wait" onkeydown="CancelarEnter();" onload="document.body.style.cursor='default';InicializarMenu();" onunload="document.body.style.cursor='wait';">
		<SCRIPT language=JavaScript>
			var urlIdioma;		//URL recarga en funcion del idioma
			var rutaCabecera;	//Camino de migas
			var detActual;		//Ventana actual
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_TALLERES%>";
			detActual = '<%=resCM.getString("cmRelTalleres")%>';
			rutaCabecera="";
			//rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
		</SCRIPT>
		<%if(origen==null || origen.equals("")){%>
			<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
		<%}%>
<p>
<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<%if(origen==null || origen.equals("")){%>
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
			<%}%>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="FormRelTalleres" METHOD="POST">
					<%	m05bFileLog miLog = new m05bFileLog();
						int contador = 0;
						String rCodigo="", rDescripcion="";
						String sql = "", sql2 = "", objOrigen="";
						String codigo="", descripcion="", direccion="", poblacion="", telefono="";
                        java.sql.Connection conn=null;
                        PreparedStatement pstmt = null;
                        ResultSet rs = null;
						rDescripcion = (request.getParameter("Descripcion")==null?"":request.getParameter("Descripcion"));
						rCodigo = (request.getParameter("Codigo")==null?"":request.getParameter("Codigo"));

						codigo = (request.getParameter("Codigo")==null?"":request.getParameter("Codigo"));
						if ((codigo == null) || (!(codigo.equals("Nuevo")))) {
						   if (codigo != null)
						   		codigo = codigo.toUpperCase();
						   descripcion = (request.getParameter("Descripcion")==null?"":request.getParameter("Descripcion"));
					   	   if (descripcion != null)
						   		descripcion = descripcion.toUpperCase();
						}
						origen = request.getParameter("Origen")==null?"":request.getParameter("Origen");
						miLog.addTraza(persona, "Rel Talleres","ORIGEN: " + origen,m05bConstantes.LOG_NIVEL_BAJO);
						if ((origen.equals("formOrdTrabajo"))||(origen.equals("formSiniestros"))||(origen.equals("formReformas"))) {
							origen = "opener.document." + origen;
						} else {
							origen = "document.FormRelTalleres";
						}
					%>
					 <TABLE class="general">
					    <tr>
					        <%if(origen.equals("document.FormRelTalleres")){%>
					      	<td width="80%" align="right">
					      		<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir('<%=codigo%>','<%=descripcion%>'); return false" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      	</td>
					      	<td width="10%" align="right">
					      		<input type="button" class="boton" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" ONCLICK="JavaScript:fncBuscar();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSBUSCAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      	</td>
					      	<td width="10%" align="right">
					      		<input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
					      	</td>
						  <%}else{%>
						  	<td width="80%" align="right"></td>
						  	<td width="10%" align="right">
						  		<input type="button" class="boton" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" ONCLICK="JavaScript:fncBuscar();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSBUSCAR")%>'; return false" onMouseOut="top.status=''; return false" />
						  	</td>
						  	<td width="10%" align="right">
						  		<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:window.close();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
						  	</td>
						  <%}%>
						</tr>
					 </TABLE>
					 <p>
					 <TABLE class="general">
					    <tr>
					       <td class="searchTitle" width="7%"><%= res.getString("etCodigo")%></td>
					       <td class="searchTitle" width="28%"><%= res.getString("etDescripcion")%></td>
					   	   <td class="searchTitle" width="30%"><%= res.getString("etDireccion")%></td>
					  	   <td class="searchTitle" width="15%"><%= res.getString("etPoblacion")%></td>
					  	   <td class="searchTitle" width="15%"><%= res.getString("etTelefono")%></td>
					<% try{
						session.removeAttribute("Taller");

						sql = "select " + m05bConstantes.COL_30_CODIGO + ", " + m05bConstantes.COL_24_DESC +
									", " + m05bConstantes.COL_30_DESCRIP + ", " + m05bConstantes.COL_30_DIRECCION +
									", " + m05bConstantes.COL_30_TELEF +
								" from " + m05bConstantes.TAB_TALLER + ", " + m05bConstantes.TAB_POBLACIONES +
								" where " + m05bConstantes.COL_24_CODIGO + "(+) = " + m05bConstantes.COL_30_POBLACION;
						if ( (codigo == null) || (codigo.equals("") ))
							sql2 = sql2;
						else {
							sql2 = sql2 + " and " + m05bConstantes.COL_30_CODIGO + " like '%" + codigo + "%'";
						}
						if ( (descripcion == null) || (descripcion.equals("")))
							sql2 = sql2;
						else {
					 		sql2 = sql2 + " and " + m05bConstantes.COL_30_DESCRIP + " like '%" + descripcion + "%'";
						}
						if ( (direccion == null) || (direccion.equals("")))
							sql2 = sql2;
						else {
							direccion = '%' + direccion + '%';
					 		sql2 = sql2 + " and " + m05bConstantes.COL_30_DIRECCION + " like ? ";
						}
						if ( (poblacion == null) || (poblacion.equals("")))
							sql2 = sql2;
						else {
							poblacion = '%' + poblacion + '%';
					 		sql2 = sql2 + " and " + m05bConstantes.COL_24_DESC + " like ? ";
						}
						if ( (telefono == null) || (telefono.equals("")))
							sql2 = sql2;
						else {
							telefono = '%' + telefono + '%';
					 		sql2 = sql2 + " and " + m05bConstantes.COL_30_TELEF + " like ? ";
						}

						sql = sql + sql2 + " order by " + m05bConstantes.COL_30_DESCRIP + " , " + m05bConstantes.COL_30_DIRECCION;
						miLog.addTraza(persona, "Rel Talleres","SQL: " + sql,m05bConstantes.LOG_NIVEL_BAJO);
					    //m05bbBeginSelect(sql);

		                m05bConexion miConex = new m05bConexion();
                        conn = miConex.getConnection();
                        conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
                        pstmt = conn.prepareStatement(sql);

						if ( (direccion == null) || (direccion.equals("")) )
							contador = contador;
						else {
							contador = contador + 1;
							pstmt.setString(contador, direccion);
						}
						if ( (poblacion == null) || (poblacion.equals("")) )
							contador = contador;
						else {
							contador = contador + 1;
							pstmt.setString(contador, poblacion);
						}
						if ( (telefono == null) || (telefono.equals("")) )
							contador = contador;
						else {
							contador = contador + 1;
							pstmt.setString(contador, telefono);
						}

						//m05bRS = m05bPStmt.executeQuery();
						rs = pstmt.executeQuery();
						contador=0;
						while (rs.next() == true) {
							codigo = rs.getString("COD_TAL_30");
							descripcion= rs.getString("DESCRIP_30");
							direccion= rs.getString("DIREC_30");
							poblacion= rs.getString("DESCRIP_24");
							if (descripcion== null)
							    descripcion="";
							if (poblacion == null)
								poblacion="";
							telefono= rs.getString("TELEF_30");
							if (direccion == null)
								direccion="";
							if (telefono == null)
								telefono="";
							contador = contador + 1;%>
							<tr>
							   <td class="inputFieldTitle"><FONT size="1"><A href="JavaScript:fncModificar('<%=codigo%>','<%=descripcion%>',<%=origen%>)"><%=codigo%></A></FONT></td>
					   		   <td class="inputFieldTitle"><FONT size="1"><%=descripcion%></FONT></td>
					     	   <td class="inputFieldTitle"><FONT size="1"><%=direccion%></FONT></td>
					     	   <td class="inputFieldTitle"><FONT size="1"><%=poblacion%></FONT></td>
					     	   <td class="inputFieldTitle"><FONT size="1"><%=telefono%></FONT></td>
							</tr>
						<%}%>
							<tr></tr>
						    <tr align="center">
							    <td class="inputField" colspan="5"><%= res.getString("etTotal")%> <%=contador%></td>
								<input type="hidden" name="Origen" value="<%=(request.getParameter("Origen")==null?"":request.getParameter("Origen"))%>" />
						    </tr>
						</TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3">
			<%if(origen.equals("document.FormRelTalleres")){%>
				<%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>
			<%}%>
			</td>
	</tr>
</table>
<SCRIPT language="JavaScript">
	function fncNuevo() {
		var docu = document.FormRelTalleres;
       	docu.action="m05bTalleresJsp.jsp?Codigo=&Mensaje=false";
       	docu.submit();
	}
	function fncModificar(codigo, descripcion, origen) {
		var docu = document.FormRelTalleres;
		if ((origen.name == "formOrdTrabajo")||(origen.name == "formSiniestros")||(origen.name == "formReformas")) {
            origen.CodTaller.value=codigo;
            origen.DescTaller.value=descripcion;
            window.close();
		} else {
        	docu.action="m05bGenerarTallerServlet?Codigo=" + codigo + "&Mensaje=false";
        	docu.submit();
		}
    }
	function fncBuscar() {
		FormRelTalleres.action="m05bBusqTallerJsp.jsp?Codigo=<%=rCodigo%>&Descripcion=<%=rDescripcion%>";
        FormRelTalleres.submit();
    }
    function fncImprimir(codigo,descripcion) {
		var docu = document.FormRelTalleres;
        docu.action="m05bTalleresPDFJsp.jsp?Codigo="+codigo+"&Descripcion="+descripcion;
        docu.submit();
    }

	setTimeout('InicializarSlide()', 1);

   	function InicializarMenu() {
		try {
		   	InitMenu();
	   	} catch(e) {
	   	}
   	}
   	
   	function CancelarEnter() {
		try {
	   	   	cancelaEnter();
	   	} catch(e) {
	   	}
   	}
   	
   	function InicializarSlide() {
		try {
	   	   	initSlide();
	   	} catch(e) {
	   	}
   	}

</SCRIPT>
<%
} catch (Exception SQLException) {
  	miLog.addTraza(SQLException);
} finally  {
	//m05bEndSelect();
	if (rs != null)
	    rs.close();
	if (pstmt != null)
	    pstmt.close();
	if (conn != null)
	    conn.close();
}%>
</BODY>
</HTML>